%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  DBModelSelect
%global packver   0.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.0
Release:          1%{?dist}%{?buildtag}
Summary:          Distribution-Based Model Selection

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.1.0
Requires:         R-core >= 4.1.0
BuildArch:        noarch

%description
Perform model selection using distribution and probability-based methods,
including standardized AIC, BIC, and AICc. These standardized information
criteria allow one to perform model selection in a way similar to the
prevalent "Rule of 2" method, but formalize the method to rely on
probability theory. A novel goodness-of-fit procedure for assessing linear
regression models is also available. This test relies on theoretical
properties of the estimated error variance for a normal linear regression
model, and employs a bootstrap procedure to assess the null hypothesis
that the fitted model shows no lack of fit. For more information, see
Koeneman and Cavanaugh (2023) <arXiv:2309.10614>. Functionality to perform
all subsets linear or generalized linear regression is also available.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
